Package ru.bgcrm.model.process.queue.config

# Class SavedFiltersConfig.SavedFilterSet

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.process.queue.config.SavedFiltersConfig.SavedFilterSet

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

Enclosing class:
  `SavedFiltersConfig`

public static class SavedFiltersConfig.SavedFilterSet extends IdTitle
Сохранённый фильтр в очереди процессов.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColor()`
  `int`
  `getQueueId()`
  `String`
  `getQueueName()`
  `String`
  `getUrl()`
  `boolean`
  `isRare()`
  `Boolean`
  `isStatusCounterOnPanel()`
  `void`
  `setColor(String color)`
  `void`
  `setQueueName(String queueName)`
  `void`
  `setRare(boolean value)`
  `void`
  `setStatusCounterOnPanel(boolean value)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Method Details

  - ### getQueueId

    public int getQueueId()

  - ### getUrl

    public String getUrl()

  - ### setRare

    public void setRare(boolean value)

  - ### isRare

    public boolean isRare()

  - ### setStatusCounterOnPanel

    public void setStatusCounterOnPanel(boolean value)

  - ### isStatusCounterOnPanel

    public Boolean isStatusCounterOnPanel()

  - ### setColor

    public void setColor(String color)

  - ### getColor

    public String getColor()

  - ### setQueueName

    public void setQueueName(String queueName)

  - ### getQueueName

    public String getQueueName()